Index: org/postgresql/test/jdbc2/TimeTest.java
===================================================================
RCS file: /projects/cvsroot/pgsql-server/src/interfaces/jdbc/org/postgresql/test/jdbc2/TimeTest.java,v
retrieving revision 1.5
diff -c -p -r1.5 TimeTest.java
*** org/postgresql/test/jdbc2/TimeTest.java	14 Aug 2002 20:35:40 -0000	1.5
--- org/postgresql/test/jdbc2/TimeTest.java	4 Aug 2003 13:51:36 -0000
*************** public class TimeTest extends TestCase
*** 112,118 ****
  
  		rs.close();
  	}
! 
  	private java.sql.Time makeTime(int h, int m, int s)
  	{
  		return java.sql.Time.valueOf(TestUtil.fix(h, 2) + ":" +
--- 112,164 ----
  
  		rs.close();
  	}
! 	
! 	public void testCalendars()
! 	{		
! 		try
! 		{
! 			PreparedStatement pstmt = con.prepareStatement("insert into testtime values (?)");
! 			java.util.Calendar local = java.util.Calendar.getInstance();
! 			ResultSet rs;
! 			java.sql.Time tmpTime = java.sql.Time.valueOf("12:00:00");
! 			
! 			java.util.TimeZone threeHours = java.util.TimeZone.getDefault();
! 			threeHours.setRawOffset(local.getTimeZone().getRawOffset()+10800000);
! 			java.util.Calendar threeHoursCal = java.util.Calendar.getInstance();
! 			threeHoursCal.setTimeZone(threeHours);
! 			
! 			pstmt.setTime(1, tmpTime);
! 			pstmt.executeUpdate();
! 			
! 			pstmt.setTime(1, tmpTime, local);
! 			pstmt.executeUpdate();
! 			
! 			pstmt.setTime(1, tmpTime, threeHoursCal);
! 			pstmt.executeUpdate();
! 			
! 			pstmt.setTime(1, tmpTime, local);
! 			pstmt.executeUpdate();
! 			
! 			rs = con.createStatement().executeQuery("select * from testtime");
! 			
! 			assertTrue(rs.next());
! 			assertEquals(tmpTime.getTime(), rs.getTime(1, local).getTime());
! 			
! 			assertTrue(rs.next());
! 			assertEquals(tmpTime.getTime(), rs.getTime(1).getTime());
! 			
! 			assertTrue(rs.next());
! 			assertEquals(java.sql.Time.valueOf("9:00:00"), rs.getTime(1, local));		
! 			
! 			assertTrue(rs.next());
! 			assertEquals(java.sql.Time.valueOf("15:00:00"), rs.getTime(1, threeHoursCal));
! 		}
! 		catch (SQLException sqle)
! 		{
! 			fail(sqle.getMessage());
! 		}
! 	}
! 				
  	private java.sql.Time makeTime(int h, int m, int s)
  	{
  		return java.sql.Time.valueOf(TestUtil.fix(h, 2) + ":" +
